**To delete a launch configuration**

This example deletes the specified launch configuration. ::

    aws autoscaling delete-launch-configuration \
        --launch-configuration-name my-launch-config

This command produces no output.

For more information, see `Deleting your Auto Scaling infrastructure <https://docs.aws.amazon.com/autoscaling/ec2/userguide/as-process-shutdown.html>`__ in the *Amazon EC2 Auto Scaling User Guide*.
